[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Findutils-patches] [PATCH] -delete requires -depth

From: James Youngman
Subject: Re: [Findutils-patches] [PATCH] -delete requires -depth
Date: Thu, 23 Aug 2007 11:11:23 +0100

I am proposing to make this change in findutils-4.3.9.    Any objections?

On 8/23/07, James Youngman <address@hidden> wrote:
> 2007-08-23  James Youngman  <address@hidden>
>         The -delete action now requires -depth rather than automatically
>         turning it on.
>         * find/parser.c (parse_delete): Require -depth to be selected, but
>         don't turn it on by default.  This fixes Savannah bug #20865.
>         (HISTORY): Indicate when we introduced this change.
>         * doc/find.texi (Cleaning Up): Comply with this requirement.
>         * find/testsuite/find.gnu/delete.exp: Comply.
>         * find/testsuite/find.gnu/deletefile.exp: Comply.
>         * find/testsuite/find.gnu/deletedir.exp: Comply.
>         * doc/find.texi (Deleting Files): Document this requirement.
>         * find/find.1 (-delete): Document it.
>         * NEWS: Mention this change.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]